﻿using System.Collections.ObjectModel;
using System.Windows;
using Telerik.Windows.Controls;

namespace WpfApp2
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            var source = new ObservableCollection<DataItem>()
            {
                new DataItem()
                {
                    Name = "Item 1",
                    IsExpanded = true,
                    Children = new ObservableCollection<DataItem>()
                    {
                        new DataItem() { Name = "Child 1"},
                        new DataItem() { Name = "Child 2"},
                    }
                },
                new DataItem()
                {
                    Name = "Item 2",
                    IsExpanded = true,
                }
            };
            this.DataContext = source;
        }
    }

    public class DataItem : ViewModelBase
    {
        public string Name { get; set; }
        public ObservableCollection<DataItem> Children { get; set; }

        private bool isExpanded;

        public bool IsExpanded
        {
            get { return isExpanded; }
            set { isExpanded = value; OnPropertyChanged("IsExpanded"); }
        }
    }
}